Loading...
Searching...
No Matches
BALL::CosineTorsion::Values Struct Reference

`#include <BALL/MOLMEC/PARAMETER/cosineTorsion.h>`

## Public Member Functions

| Values ()
| Values (Size number)
| Values (const Values &v)
void | set (const Values &v)
| ~Values ()
bool | operator== (const Values &rhs) const
bool | operator!= (const Values &rhs) const

## Public Attributes

Size | n
SingleValues * | values

## Detailed Description

Definition at line 65 of file cosineTorsion.h.

## Constructor & Destructor Documentation

## Values() [1/3]

BALL::CosineTorsion::Values::Values | ( |  | ) |

inline

Definition at line 72 of file cosineTorsion.h.

## Values() [2/3]

BALL::CosineTorsion::Values::Values | ( | Size | number | ) |

inline

Definition at line 78 of file cosineTorsion.h.

## Values() [3/3]

BALL::CosineTorsion::Values::Values | ( | const Values & | v | ) |

inline

Definition at line 84 of file cosineTorsion.h.

## ~Values()

BALL::CosineTorsion::Values::~Values | ( |  | ) |

inline

Definition at line 109 of file cosineTorsion.h.

## Member Function Documentation

## operator!=()

bool BALL::CosineTorsion::Values::operator!= | ( | const Values & | rhs | ) | const

inline

Definition at line 130 of file cosineTorsion.h.

## operator==()

bool BALL::CosineTorsion::Values::operator== | ( | const Values & | rhs | ) | const

inline

Definition at line 114 of file cosineTorsion.h.

## set()

void BALL::CosineTorsion::Values::set | ( | const Values & | v | ) |

inline

Definition at line 97 of file cosineTorsion.h.

## Member Data Documentation

## n

Size BALL::CosineTorsion::Values::n

Definition at line 68 of file cosineTorsion.h.

## values

SingleValues* BALL::CosineTorsion::Values::values

Definition at line 70 of file cosineTorsion.h.